{
  "main": {
    "id": "823c29674882146a",
    "type": "split",
    "children": [
      {
        "id": "40d05df79b704c51",
        "type": "tabs",
        "children": [
          {
            "id": "849267c81e2cb715",
            "type": "leaf",
            "state": {
              "type": "markdown",
              "state": {
                "file": "Kafka/4.Kafka高级原理篇.md",
                "mode": "source",
                "source": false
              },
              "icon": "lucide-file",
              "title": "4.Kafka高级原理篇"
            }
          }
        ]
      }
    ],
    "direction": "vertical"
  },
  "left": {
    "id": "853742ecfb28b64f",
    "type": "split",
    "children": [
      {
        "id": "2ef5522b43727d44",
        "type": "tabs",
        "children": [
          {
            "id": "c615f431a27fc4e9",
            "type": "leaf",
            "state": {
              "type": "file-explorer",
              "state": {
                "sortOrder": "byCreatedTimeReverse"
              },
              "icon": "lucide-folder-closed",
              "title": "文件列表"
            }
          },
          {
            "id": "411916e226937ef8",
            "type": "leaf",
            "state": {
              "type": "search",
              "state": {
                "query": "",
                "matchingCase": false,
                "explainSearch": false,
                "collapseAll": false,
                "extraContext": false,
                "sortOrder": "alphabetical"
              },
              "icon": "lucide-search",
              "title": "搜索"
            }
          },
          {
            "id": "8365acddff8cdb36",
            "type": "leaf",
            "state": {
              "type": "bookmarks",
              "state": {},
              "icon": "lucide-bookmark",
              "title": "书签"
            }
          }
        ]
      }
    ],
    "direction": "horizontal",
    "width": 200
  },
  "right": {
    "id": "168ca6f162c4ff97",
    "type": "split",
    "children": [
      {
        "id": "aa923cd483bdd7db",
        "type": "tabs",
        "children": [
          {
            "id": "c2317fc1134b9c42",
            "type": "leaf",
            "state": {
              "type": "backlink",
              "state": {
                "file": "Kafka/4.Kafka高级原理篇.md",
                "collapseAll": false,
                "extraContext": false,
                "sortOrder": "alphabetical",
                "showSearch": false,
                "searchQuery": "",
                "backlinkCollapsed": false,
                "unlinkedCollapsed": true
              },
              "icon": "links-coming-in",
              "title": "4.Kafka高级原理篇 的反向链接列表"
            }
          },
          {
            "id": "9529fbdf92d4654f",
            "type": "leaf",
            "state": {
              "type": "outgoing-link",
              "state": {
                "file": "Kafka/4.Kafka高级原理篇.md",
                "linksCollapsed": false,
                "unlinkedCollapsed": true
              },
              "icon": "links-going-out",
              "title": "4.Kafka高级原理篇 的出链列表"
            }
          },
          {
            "id": "9d34002acfbf1c58",
            "type": "leaf",
            "state": {
              "type": "tag",
              "state": {
                "sortOrder": "frequency",
                "useHierarchy": true
              },
              "icon": "lucide-tags",
              "title": "标签"
            }
          },
          {
            "id": "78996eb0be188c37",
            "type": "leaf",
            "state": {
              "type": "outline",
              "state": {
                "file": "Kafka/4.Kafka高级原理篇.md"
              },
              "icon": "lucide-list",
              "title": "4.Kafka高级原理篇 的大纲"
            }
          },
          {
            "id": "a6359902bf66f6d5",
            "type": "leaf",
            "state": {
              "type": "git-view",
              "state": {},
              "icon": "git-pull-request",
              "title": "Source Control"
            }
          }
        ],
        "currentTab": 4
      }
    ],
    "direction": "horizontal",
    "width": 321.5
  },
  "left-ribbon": {
    "hiddenItems": {
      "switcher:打开快速切换": false,
      "graph:查看关系图谱": false,
      "canvas:新建白板": false,
      "daily-notes:打开/创建今天的日记": false,
      "templates:插入模板": false,
      "command-palette:打开命令面板": false,
      "obsidian-git:Open Git source control": false
    }
  },
  "active": "849267c81e2cb715",
  "lastOpenFiles": [
    "Kafka/assert/2.png",
    "Kafka/assert/5.png",
    "Kafka/assert/6.png",
    "Kafka/assert/4.png",
    "Kafka/4.Kafka高级原理篇.md",
    "Kafka/3.Customer.md",
    "Kafka/assert/3.png",
    "Kafka/assert/1.png",
    "HaiNiuHadoop搭建/2.ZooKeeper配置.md",
    "HaiNiuHadoop搭建/未命名.md",
    "HaiNiuHadoop搭建/4.Yarn配置.md",
    "HaiNiuHadoop搭建/3.HDFS搭建.md",
    "HaiNiuHadoop搭建/1.环境安装.md",
    "Kafka/assert",
    "未命名.md",
    "Kafka",
    "Spark搭建/scala与rdd编程.md",
    "Spark搭建/spark-sql.md",
    "Spark搭建/spark-streaming.md",
    "Spark搭建/liu.md",
    "README.md",
    "Spark搭建/01.md",
    "README.md.md",
    "Spark搭建/images/workers.png",
    "HaiNiuHadoop搭建/images/000001.png",
    "2024-09-18.md",
    "欢迎.md",
    "2024-09-04.md",
    "Hadoop/Zookeeper.md",
    "Hadoop/HDFS搭建.md",
    "Spark搭建/images",
    "Spark搭建",
    "HaiNiuHadoop搭建/Yarn配置.md",
    "HaiNiuHadoop搭建/images/Pasted image 20240910224258.png",
    "Hadoop/脚本.md",
    "HaiNiuHadoop搭建/images",
    "HaiNiuHadoop搭建/新建文件夹",
    "HaiNiuHadoop搭建",
    "Hadoop",
    "mysql.md",
    "打开.md",
    "未命名.canvas"
  ]
}